Create Credit Grant
curl --request POST \
--url https://api.example.com/api/v1/ops/credit-grants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"amount": 123,
"reason": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/api/v1/ops/credit-grants"
payload = {
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"amount": 123,
"reason": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a',
amount: 123,
reason: '<string>',
startsAt: '2023-11-07T05:31:56Z',
expiresAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/api/v1/ops/credit-grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creditGrantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyCreditAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"amount": 123,
"availableAmount": 123,
"reservedAmount": 123,
"usedAmount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"grantedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startsAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"canceledAt": "2023-11-07T05:31:56Z",
"consumedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Insufficient permissions",
"statusCode": 403
}{
"message": "Internal Server Error",
"statusCode": 500
}CreditGrant
Create Credit Grant
Creates a credit grant.
POST
/
api
/
v1
/
ops
/
credit-grants
Create Credit Grant
Authorizations
bearerbearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Body
application/json
Response
Created
Credit grant
Available options:
ACTIVE, SUSPENDED, EXPIRED, CONSUMED, CANCELED ⌘I